pamusb-conf(1)

NAME
pamusb-conf - pam_usb configuration tool

SYNOPSIS
pamusb-conf [--verbose] [--config=path] [--help | --add-user=name |
--add-device=name [--device=number --volume=number] | --reset-pads=name | --list-devices | --list-volumes]

DESCRIPTION
pamusb-conf is a tool designed to help generating the pam_usb configuration.

OPTIONS

--help, -h
    Show summary of options.

--verbose, -v
    Verbose output

--config, -c
    Use the given configuration file (defaults to /etc/security/pam_usb.conf)

--add-device, -d
    Add a device

--add-user, -u
    Add a user (you can call this multiple times, to add multiple devices for a single user)

--yes, -y
    Assume "yes" as answer for every question

--device (only in combination with --add-device)
    Use the given device index (starting at 0)

--volume (only in combination with --add-device)
    Use the given volume index (starting at 0)

--list-devices
    Gives a numbered list of usable devices, for use with --device / packaging scripts

--list-volumes
    Gives a numbered list of usable volumes, for use with --volume / packaging scripts

--reset-pads
    Deletes all relevant key files for the given user (this needs the device to be actually connected)

BUGS
Please report bugs on the Github issue tracker at https://github.com/mcdope/pam_usb/issues.

AUTHOR
Andrea Luzzardi <scox@sig11.org>, Tobias Bäumer <tobiasbaeumer@gmail.com>